> For the complete documentation index, see [llms.txt](https://docs.maiagent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maiagent.ai/api/ja/preparation.md).

# API 連携の事前準備

- [概要説明](https://docs.maiagent.ai/api/ja/preparation/readme.md)
- [API 認証](https://docs.maiagent.ai/api/ja/preparation/authentication.md): 本ページでは、MaiAgent API を使用する際の認証方法と API キーの取得方法について説明します
- [ステータスコード](https://docs.maiagent.ai/api/ja/preparation/status-code.md): 本ページでは、API を利用して MaiAgent サービスと連携する際に、状況に応じて返される HTTP コードとレスポンス形式の例についてご説明します
- [有人対応引き継ぎ Webhook イベント](https://docs.maiagent.ai/api/ja/preparation/handoff-webhook.md): 会話が有人対応へ引き継がれたとき、および AI に戻されたとき、MaiAgent は Webhook で handoff.created / handoff.returned\_to\_ai イベントを指定のシステムエンドポイントに送信します。本ページでは、イベント形式、署名検証、リトライ動作、および有人対応への引き継ぎ後に外部システムで会話を引き継ぐ連携方法について説明します


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maiagent.ai/api/ja/preparation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
